Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Derby 10.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.derby.vti
Class Restriction.AND

    java.lang.Object
      org.apache.derby.vti.Restriction
          org.apache.derby.vti.Restriction.AND

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Restriction

    public static class Restriction.AND

extends Restriction

An AND of two Restrictions

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.derby.vti.Restriction
`Restriction.AND, Restriction.ColumnQualifier, Restriction.OR`

Field Summary
`static long` | `serialVersionUID` Derby serializes these objects in PreparedStatements

Constructor Summary
`Restriction.AND(Restriction leftChild, Restriction rightChild)` AND together two other Restrictions

Method Summary
`Restriction` | `getLeftChild()` Get the left Restriction
`Restriction` | `getRightChild()` Get the right Restriction
`java.lang.String` | `toSQL()` Turn this Restriction into a string suitable for use in a WHERE clause.

Methods inherited from class org.apache.derby.vti.Restriction
`parenthesize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

  Derby serializes these objects in PreparedStatements

  See Also:
    Constant Field Values

Constructor Detail

### Restriction.AND

    public Restriction.AND(Restriction leftChild,
                           Restriction rightChild)

  AND together two other Restrictions

Method Detail

### getLeftChild

    public Restriction getLeftChild()

  Get the left Restriction

### getRightChild

    public Restriction getRightChild()

  Get the right Restriction

### toSQL

    public java.lang.String toSQL()

  Description copied from class: `Restriction`
  Turn this Restriction into a string suitable for use in a WHERE clause.

  Specified by:
    `toSQL` in class `Restriction`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Built on Tue 2010-09-21 16:20:41-0700, from revision 999685
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache Derby 10.6 API Documentation - Copyright © 2004,2008 The Apache Software Foundation. All Rights Reserved.